package cn.superdesk.uniorder.common.bizScene;

import cn.superdesk.uniorder.common.enums.common.CommonServiceNoEnum;
import cn.superdesk.uniorder.common.enums.lnss.PayStatusEnum;
import cn.superdesk.uniorder.common.enums.pay.FlashdeliverPayTypeEnum;
import cn.superdesk.uniorder.common.enums.pay.UnifiedOrderPayStateEnum;
import cn.superdesk.uniorder.common.enums.pay.UnifiedOrderPayTypeEnum;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/5/13 下午5:40
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/5/13 下午5:40
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Deprecated
public class UnifiedOrderMixPayAboutName {


	@Deprecated
	public static String getPayTypeName(String serviceNo, Integer targetPayType) {

		String payTypeName = "";

		switch (CommonServiceNoEnum.getByServiceNo(serviceNo)) {
			case 企业采购:
				payTypeName = UnifiedOrderPayTypeEnum.getDesc(targetPayType);
				break;
			case 代客下单:
				payTypeName = UnifiedOrderPayTypeEnum.getDesc(targetPayType);
				break;
			case 企业福利:
				payTypeName = UnifiedOrderPayTypeEnum.getDesc(targetPayType);
				break;
			case 企业福利_侨城汇:
				payTypeName = UnifiedOrderPayTypeEnum.getDesc(targetPayType);
				break;
			case 楼闪送:
				payTypeName = FlashdeliverPayTypeEnum.getDesc(targetPayType);
				break;
			case UNKNOW:
				payTypeName = "";
				break;
			default:
				break;
		}

		return payTypeName;

	}

	@Deprecated
	public static String getPayStateName(String serviceNo, Integer targetPayState) {

		String payStateName = "";

		switch (CommonServiceNoEnum.getByServiceNo(serviceNo)) {
			case 企业采购:
				payStateName = UnifiedOrderPayStateEnum.getDesc(targetPayState);
				break;
			case 代客下单:
				payStateName = UnifiedOrderPayStateEnum.getDesc(targetPayState);
				break;
			case 企业福利:
				payStateName = UnifiedOrderPayStateEnum.getDesc(targetPayState);
				break;
			case 企业福利_侨城汇:
				payStateName = UnifiedOrderPayStateEnum.getDesc(targetPayState);
				break;
			case 楼闪送:
				payStateName = PayStatusEnum.getDesc(targetPayState);
				break;
			case UNKNOW:
				payStateName = "";
				break;
			default:
				break;
		}

		return payStateName;

	}


}
